-- MySQL dump 8.23
-- Server version	3.23.58

--
-- Table structure for table `coast_settings`
--

CREATE TABLE coast_settings (
  value varchar(128) NOT NULL default '',
  data text,
  KEY value (value)
) TYPE=MyISAM;

--
-- Dumping data for table `coast_settings`
--


INSERT INTO coast_settings VALUES ('coast_version','0.90');


--
-- Table structure for table `coast_asset_cpu_types`
--

CREATE TABLE coast_asset_cpu_types (
  cpu_id int(11) NOT NULL auto_increment,
  cpu_type char(25) NOT NULL default '',
  updated timestamp(14) NOT NULL,
  PRIMARY KEY  (cpu_id)
) TYPE=MyISAM COMMENT='CPU types';

--
-- Table structure for table `coast_asset_manufacturers`
--

CREATE TABLE coast_asset_manufacturers (
  manufacturer_id int(11) NOT NULL auto_increment,
  name char(50) NOT NULL default '',
  telephone char(35) NOT NULL default '',
  website char(100) NOT NULL default '',
  updated timestamp(14) NOT NULL,
  PRIMARY KEY  (manufacturer_id),
  UNIQUE KEY name (name)
) TYPE=MyISAM COMMENT='Asset manufacturers';

--
-- Table structure for table `coast_asset_os`
--

CREATE TABLE coast_asset_os (
  os_id int(11) NOT NULL auto_increment,
  operating_system char(100) NOT NULL default '',
  updated timestamp(14) NOT NULL,
  PRIMARY KEY  (os_id)
) TYPE=MyISAM COMMENT='Operating Systems';

--
-- Table structure for table `coast_assets`
--

CREATE TABLE coast_assets (
  asset_id int(11) NOT NULL auto_increment,
  parent_asset int(11) NOT NULL default '0',
  assigned_to int(11) NOT NULL default '0',
  asset_number varchar(35) NOT NULL default '',
  asset_type int(11) NOT NULL default '0',
  manufacturer int(11) NOT NULL default '0',
  model_name varchar(50) NOT NULL default '',
  model_number varchar(100) NOT NULL default '',
  serial_number varchar(100) NOT NULL default '',
  purchase_order varchar(50) NOT NULL default '',
  purchase_date date NOT NULL default '0000-00-00',
  warranty_period int(11) NOT NULL default '0',
  warranty_info varchar(255) NOT NULL default '',
  cpu_type int(11) NOT NULL default '0',
  cpu_speed int(11) NOT NULL default '0',
  cpu_quantity int(11) NOT NULL default '1',
  ram_amount int(11) NOT NULL default '0',
  ram_speed float NOT NULL default '0',
  ram_notes varchar(255) NOT NULL default '',
  hard_drive_size int(11) NOT NULL default '0',
  hard_drive_notes varchar(255) NOT NULL default '',
  operating_system int(11) NOT NULL default '0',
  ports varchar(255) NOT NULL default '',
  network_name varchar(50) NOT NULL default '',
  notes text NOT NULL,
  wiredmac varchar(18) default NULL,
  wirelessmac varchar(18) default NULL,
  updated timestamp(14) NOT NULL,
  PRIMARY KEY  (asset_id)
) TYPE=MyISAM COMMENT='assets, computers, peripherals';

--
-- Table structure for table `coast_asset_types`
--

CREATE TABLE coast_asset_types (
  type_id int(11) NOT NULL auto_increment,
  type_name char(50) NOT NULL default '',
  updated timestamp(14) NOT NULL,
  PRIMARY KEY  (type_id)
) TYPE=MyISAM COMMENT='Asset Types';

--
-- Table structure for table `coast_library_assets`
--

CREATE TABLE coast_library_assets (
  cla_id int(11) NOT NULL auto_increment,
  asset_id int(11) NOT NULL default '0',
  cla_co_notes text,
  cla_ci_notes text,
  cla_status enum('In','Out') NOT NULL default 'In',
  cla_clc_id int(11) NOT NULL default '0',
  PRIMARY KEY  (cla_id)
) TYPE=MyISAM;

--
-- Table structure for table `coast_library_circulation`
--

CREATE TABLE coast_library_circulation (
  clc_id int(11) NOT NULL auto_increment,
  asset_id int(11) NOT NULL default '0',
  month varchar(12) NOT NULL default '',
  day varchar(10) NOT NULL default '',
  year varchar(5) NOT NULL default '',
  hour char(2) NOT NULL default '',
  owner int(11) NOT NULL default '0',
  clc_co_notes text,
  clc_ci_notes text,
  clc_co_time varchar(25) default NULL,
  clc_ci_time varchar(25) default NULL,
  clc_status enum('Out','In') NOT NULL default 'Out',
  PRIMARY KEY  (clc_id)
) TYPE=MyISAM;

--
-- Table structure for table `coast_outages`
--

CREATE TABLE coast_outages (
  outage_id int(11) NOT NULL auto_increment,
  user int(11) default NULL,
  summary varchar(250) NOT NULL default '',
  details text,
  date_entered date default NULL,
  urgency enum('High','Med','Low') NOT NULL default 'High',
  status enum('open','fixed') NOT NULL default 'open',
  type enum('Private','Public') default NULL,
  updated timestamp(14) NOT NULL,
  KEY outage_id (outage_id)
) TYPE=MyISAM;

--
-- Table structure for table `coast_software_authors`
--

CREATE TABLE coast_software_authors (
  author_id int(11) NOT NULL auto_increment,
  authors_name char(50) NOT NULL default '',
  telephone char(35) NOT NULL default '',
  website char(100) NOT NULL default '',
  updated timestamp(14) NOT NULL,
  PRIMARY KEY  (author_id),
  UNIQUE KEY name (authors_name)
) TYPE=MyISAM COMMENT='Asset manufacturers';

--
-- Table structure for table `coast_software_licenses`
--

CREATE TABLE coast_software_licenses (
  license_id int(11) NOT NULL auto_increment,
  software_id int(11) NOT NULL default '0',
  version varchar(35) NOT NULL default '',
  platform enum('','Win','Mac','Linux','Win/Mac','Win/Linux','Mac/Linux','Win/Mac/Linux','Other','All') NOT NULL default '',
  licensed_to int(11) NOT NULL default '0',
  purchase_order varchar(35) NOT NULL default '',
  registration_info text NOT NULL,
  notes text NOT NULL,
  updated timestamp(14) NOT NULL,
  PRIMARY KEY  (license_id)
) TYPE=MyISAM COMMENT='Software Licenses';

--
-- Table structure for table `coast_software`
--

CREATE TABLE coast_software (
  software_id int(11) NOT NULL auto_increment,
  author int(11) NOT NULL default '0',
  title char(255) NOT NULL default '',
  updated timestamp(14) NOT NULL,
  PRIMARY KEY  (software_id)
) TYPE=MyISAM COMMENT='Software Titles';

--
-- Table structure for table `coast_support_ticket_actions`
--

CREATE TABLE coast_support_ticket_actions (
  action_id int(11) NOT NULL auto_increment,
  ticket_id int(11) NOT NULL default '0',
  support_person int(11) NOT NULL default '0',
  summary varchar(75) NOT NULL default '',
  details text NOT NULL,
  time_spent int(11) NOT NULL default '0',
  date_performed datetime NOT NULL default '0000-00-00 00:00:00',
  type enum('Private','Public') NOT NULL default 'Private',
  updated timestamp(14) NOT NULL,
  PRIMARY KEY  (action_id)
) TYPE=MyISAM COMMENT='Support Ticket Actions';

--
-- Table structure for table `coast_support_ticket_files`
--

CREATE TABLE coast_support_ticket_files (
  cstfile_id int(11) NOT NULL auto_increment,
  action_id int(11) default NULL,
  ticket_id int(11) default NULL,
  display_name varchar(128) NOT NULL default '',
  real_name varchar(128) NOT NULL default '',
  type varchar(64) default NULL,
  size int(11) NOT NULL default '0',
  updated timestamp(14) NOT NULL,
  PRIMARY KEY  (cstfile_id)
) TYPE=MyISAM;

--
-- Table structure for table `coast_support_tickets`
--

CREATE TABLE coast_support_tickets (
  ticket_id int(11) NOT NULL auto_increment,
  user int(11) NOT NULL default '0',
  asset int(11) NOT NULL default '0',
  software int(11) NOT NULL default '0',
  date_entered datetime NOT NULL default '0000-00-00 00:00:00',
  summary varchar(75) NOT NULL default '',
  details text NOT NULL,
  urgency enum('','0 - OnHold','1 - Low','2 - Medium','3 - High','4 - URGENT') NOT NULL default '',
  assigned_to int(11) NOT NULL default '0',
  status enum('','Open','OnHold','Closed') NOT NULL default '',
  updated timestamp(14) NOT NULL,
  PRIMARY KEY  (ticket_id)
) TYPE=MyISAM COMMENT='Support Tickets';

--
-- Table structure for table `coast_user_accounts`
--

CREATE TABLE coast_user_accounts (
  account_id int(11) NOT NULL auto_increment,
  user_id int(11) NOT NULL default '0',
  type enum('','NT','YP/NIS','FirstClass','Other') NOT NULL default '',
  username varchar(35) NOT NULL default '',
  comment text NOT NULL,
  updated timestamp(14) NOT NULL,
  PRIMARY KEY  (account_id),
  KEY user_id (user_id)
) TYPE=MyISAM;

--
-- Table structure for table `coast_user_companies`
--

CREATE TABLE coast_user_companies (
  company_id int(11) NOT NULL auto_increment,
  company_name char(100) NOT NULL default '',
  company_address1 char(50) NOT NULL default '',
  company_address2 char(50) NOT NULL default '',
  company_city char(50) NOT NULL default '',
  company_state char(15) NOT NULL default '',
  company_zip char(15) NOT NULL default '',
  company_country char(50) NOT NULL default '',
  updated timestamp(14) NOT NULL,
  PRIMARY KEY  (company_id)
) TYPE=MyISAM COMMENT='User Companies';

--
-- Table structure for table `coast_user_numbers`
--

CREATE TABLE coast_user_numbers (
  number_id int(11) NOT NULL auto_increment,
  user_id int(11) NOT NULL default '0',
  number char(35) NOT NULL default '',
  type enum('','work','home','fax','cell','pager') NOT NULL default '',
  updated timestamp(14) NOT NULL,
  PRIMARY KEY  (number_id),
  KEY user (user_id)
) TYPE=MyISAM;

--
-- Table structure for table `coast_users`
--

CREATE TABLE coast_users (
  user_id int(11) NOT NULL auto_increment,
  username varchar(50) NOT NULL default '',
  password varchar(32) NOT NULL default '',
  first_name varchar(50) NOT NULL default '',
  last_name varchar(50) NOT NULL default '',
  email_address varchar(50) NOT NULL default '',
  start_date date NOT NULL default '0000-00-00',
  end_date date NOT NULL default '0000-00-00',
  location varchar(50) NOT NULL default '',
  company_id int(11) NOT NULL default '0',
  home_inet_connection enum('','DSL','Cable','56K','28K','Other','None') NOT NULL default '',
  status enum('','employee','consultant','terminated','technology') NOT NULL default '',
  notes text NOT NULL,
  updated timestamp(14) NOT NULL,
  tech_team smallint(6) NOT NULL default '0',
  inventory_user smallint(6) NOT NULL default '0',
  active smallint(6) NOT NULL default '1',
  PRIMARY KEY  (user_id)
) TYPE=MyISAM;

